#!/bin/bash
# """
# project: Backuppy
# version: 0.8
# file: install.sh
# summary: main entry shell script
# """

# Check if graphical installer should be executed
if [ "$1" == "--gui" ]; then
    # Check if PIP ist installed
    if ! command -v pip3> /dev/null
    then
        echo "Please install PIP on your system for the graphical version of Backuppy!"
        exit
    fi
    # Check if PIP module "PySide2" is installed
    if ! pip list | grep PySide2> /dev/null
    then
      # Install PySide2
      echo -e "Installing necessary PySide2 package for GUI-mode."
      pip3 install PySide2
    fi
    # Launch python installer in GUI mode
    python3 -B install.py "$1"
else
    # Launch python installer in CLI mode
    python3 -B install.py
fi
